| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes
Tp::CallStateReason Struct Reference
Structure types

`#include <TelepathyQt/Types>`

List of all members.

## Public Attributes

- uint actor
- uint reason
- QString DBusReason
- QString message

## Detailed Description

Structure type generated from the specification.

A description of the reason for a change to the CallState and/or CallFlags .

## Member Data Documentation

uint Tp::CallStateReason::actor

The contact responsible for the change, or 0 if no contact was responsible.

uint Tp::CallStateReason::reason

The reason, chosen from a limited set of possibilities defined by the Telepathy specification. If User_Requested then the Actor member will dictate whether it was the local user or a remote contact responsible.

QString Tp::CallStateReason::DBusReason

A specific reason for the change, which may be a D-Bus error in the Telepathy namespace, a D-Bus error in any other namespace (for implementation-specific errors), or the empty string to indicate that the state change was not an error.

This SHOULD be an empty string for changes to any state other than Ended.

The errors Cancelled and Terminated SHOULD NOT be used here; an empty string SHOULD be used instead.

Those error names are used to indicate normal call termination by the local user or another user, respectively, in contexts where a D-Bus error name must appear.

QString Tp::CallStateReason::message

An optional debug message, to expediate debugging the potentially many processes involved in a call. This may be communicated across the network in protocols that support doing so, but it is not essential.